ibatis-user-java mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Nunn" <peter.n...@emap.com>
Subject Failure on JDK 1.3
Date Wed, 09 Feb 2005 15:07:03 GMT
It seems that the latest release of the IBATIS DBL (2.0.9.496) introduces a dependency on JDK
1.4. It uses RuntimeExceptions constructor that includes a root cause as the second param.
Previous versions did not do this. This means you cannot use the latest version in a JRE 1.3
environment. So...I've got 2 questions:

1) What is the target plaform for IBATIS DBL (obviously 1.4 + now!)?
2) Why not rely upon functionality in NestedRuntimeException, or use the single arg constructor
in RuntimeException.

Peter Nunn
Senior Java Developer
EMAP UK IT
Telephone: 020 7017 3601
Mobile: 07866 670 530



** For Emap magazine subscriptions & gift offers visit http://www.greatmagazines.co.uk/emap
**

--------------------------------------------------------------------------------------------------------------
The information in this email is intended only for the addressee(s) named above.  Access to
this email by anyone else is unauthorised.

If you are not the intended recipient of this message any disclosure, copying, distribution
or any action taken in reliance on it is prohibited and may be unlawful. 

Emap plc and or its subsidiaries do not warrant that any attachments are free from viruses
or other defects and accept no liability for any losses resulting from infected email transmissions.

Please note that any views expressed in this email may be those of the originator and do not
necessarily reflect those of this organisation.
--------------------------------------------------------------------------------------------------------------


Mime
View raw message